Bug 616771 - set -x can crash mksh
set -x can crash mksh
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mksh (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Michal Hlavinka
BaseOS QE - Apps
:
Depends On:
Blocks: 667075
  Show dependency treegraph
 
Reported: 2010-07-21 08:00 EDT by Michal Hlavinka
Modified: 2011-05-19 09:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
mksh was not handling trace output correctly. When tracing was enabled and there was long string to be reported, mksh sometimes crashed. Updated mksh version has improved long trace output handling. Long trace output is now successfully printed without mksh crash
Story Points: ---
Clone Of:
: 667075 (view as bug list)
Environment:
Last Closed: 2011-05-19 09:13:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0580 normal SHIPPED_LIVE mksh bug fix and enhancement update 2011-05-18 13:56:53 EDT

  None (edit)
Description Michal Hlavinka 2010-07-21 08:00:55 EDT
Description of problem:
set -x can sometimes crash mksh 

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
mksh -x -c 'exec 4>aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa'
  
Actual results:
crash

Expected results:
no crash

Additional info:
exists in pdksh too, bug was there last 11 years (at least)

we need this:
https://www.mirbsd.org/cvs.cgi/src/bin/mksh/sh.h.diff?r2=1.399&r1=1.398&f=u
https://www.mirbsd.org/cvs.cgi/src/bin/mksh/shf.c.diff?r2=1.36&r1=1.35&f=u
Comment 3 Florian Nadge 2011-03-01 06:06:07 EST
Florian Nadge 2011-01-19 10:40:58 EST

Please be so kind and add a few key words to the technical note of this
bugzilla entry using the following structure:

Cause:

Consequence:

Fix:

Result:


For details, see:
https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks

[reply] [-]
Private
Comment 22
Comment 4 Florian Nadge 2011-03-01 06:06:07 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
    What actions or circumstances cause this bug to present.
Consequence
    What happens when the bug presents.
Fix
    What was done to fix the bug.
Result
    What now happens when the actions or circumstances above occur.
    Note: this is not the same as the bug doesn’t present anymore.
Comment 5 Michal Hlavinka 2011-03-01 08:38:20 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,9 +1 @@
-Cause
+mksh was not handling trace output correctly. When tracing was enabled and there was long string to be reported, mksh sometimes crashed. Updated mksh version has improved long trace output handling. Long trace output is now successfully printed without mksh crash-    What actions or circumstances cause this bug to present.
-Consequence
-    What happens when the bug presents.
-Fix
-    What was done to fix the bug.
-Result
-    What now happens when the actions or circumstances above occur.
-    Note: this is not the same as the bug doesn’t present anymore.
Comment 7 errata-xmlrpc 2011-05-19 09:13:44 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0580.html

Note You need to log in before you can comment on or make changes to this bug.